//
//  VTSearcher.h
//  VecTripper
//
//  Created by tmkk on Mon Mar 07 2005.
//  Copyright (c) 2005 tmkk. All rights reserved.
//

#import <Foundation/Foundation.h>

#define N 624

typedef struct {
	unsigned long state[N];
	int left;
	int initf;
	unsigned long *next;
} mt_struct;

@interface VTSearcher : NSObject {
	id delegate;
	BOOL running;
	NSString *searchStr;
	int mode;
	BOOL ignoreCase;
	int minLength;
	BOOL shouldLog;
	char logPath[1024];
	BOOL study;
	char patternPath[1024];
	NSLock *lock;
	int counter;
	int initok;
	int initfail;
	int pattern_num;
	FILE *fp;
	mt_struct *mt_arr;
}
- (id)initWithDelegate: (id)del;
- (void)beginSearch:(NSString *)str mode:(int)m ignoreCase:(BOOL)flag minLength:(int)len log:(BOOL)flag2 study:(BOOL)flag3;
- (void)beginPatternSearch:(BOOL)flag method:(int)m;
- (void)stopSearch;
@end
